#ifndef LEVELOBJECT_H_
#define LEVELOBJECT_H_

#include "Object.h"
#include "Vertex.h"


class LevelObject : public Object {
  public:
    virtual ~LevelObject() {}
    
    virtual bool hit(const Vertex &v) const = 0;
    virtual int getPriority() const = 0;
    
    virtual void move(float x, float y) {}
    virtual void rotate(float a) {}
    
    virtual Vertex getCenter() const {return Vertex();}
};

#endif /*LEVELOBJECT_H_*/
